## org.jboss.ejb.plugins.jaws.jdbc
Class JDBCDestroyCommand

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
            |
            +--org.jboss.ejb.plugins.jaws.jdbc.JDBCUpdateCommand
                  |
                  +--org.jboss.ejb.plugins.jaws.jdbc.JDBCDestroyCommand

All Implemented Interfaces:
  JPMDestroyCommand

public class JDBCDestroyCommand
extends JDBCUpdateCommand
implements JPMDestroyCommand

JAWSPersistenceManager JDBCDestroyCommand

Version:
  $Revision: 1.6 $
Author:
  Rickard Öberg, Marc Fleury, Joe Shevland, Justin Forder
See Also:
  <related>

Fields inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`debug, factory, jawsEntity, log, name`

Constructor Summary
`JDBCDestroyCommand(JDBCCommandFactory factory)`

Method Summary
`void` `execute()`
`protected java.lang.Object` `handleResult(int rowsAffected, java.lang.Object argOrArgs)` Handle the result of successful execution of the update.

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCUpdateCommand
`executeStatementAndHandleResult`

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`getCMPFieldValue, getConnection, getJawsCMPFieldJDBCType, getJDBCType, getJDBCTypeName, getPkColumnList, getPkColumnWhereList, getPkFieldValue, getResultObject, getResultObject, getSQL, getState, isBinaryType, jdbcExecute, setCMPFieldValue, setParameter, setParameters, setPrimaryKeyParameters, setSQL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCDestroyCommand

    public JDBCDestroyCommand(JDBCCommandFactory factory)

Method Detail

### execute

    public void execute()

  Specified by:
    `execute` in interface `JPMDestroyCommand`

### handleResult

    protected java.lang.Object handleResult(int rowsAffected,
                                            java.lang.Object argOrArgs)
                                     throws java.lang.Exception

  Description copied from class: `JDBCUpdateCommand`
  Handle the result of successful execution of the update.
  Overrides:
    `handleResult` in class `JDBCUpdateCommand`
  Following copied from class: `org.jboss.ejb.plugins.jaws.jdbc.JDBCUpdateCommand`
  Parameters:
    `rs` - the result set from the query.
    `argOrArgs` - argument or array of arguments passed in from subclass execute method.
  Returns:
    any result needed by the subclass `execute`.
  Throws:
    `java.lang.Exception` - if result handling fails.

Copyright © 2000 The JBoss Organization. All Rights Reserved.